Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class PerformBlockingInteraction

    java.lang.Object
      org.jboss.portal.wsrp.core.PerformBlockingInteraction

All Implemented Interfaces:
  java.io.Serializable

    public class PerformBlockingInteraction

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected InteractionParams` | `interactionParams`
`protected MarkupParams` | `markupParams`
`protected PortletContext` | `portletContext`
`protected RegistrationContext` | `registrationContext`
`protected RuntimeContext` | `runtimeContext`
`protected UserContext` | `userContext`

Constructor Summary
`PerformBlockingInteraction()`
`PerformBlockingInteraction(RegistrationContext registrationContext, PortletContext portletContext, RuntimeContext runtimeContext, UserContext userContext, MarkupParams markupParams, InteractionParams interactionParams)`

Method Summary
`InteractionParams` | `getInteractionParams()`
`MarkupParams` | `getMarkupParams()`
`PortletContext` | `getPortletContext()`
`RegistrationContext` | `getRegistrationContext()`
`RuntimeContext` | `getRuntimeContext()`
`UserContext` | `getUserContext()`
`void` | `setInteractionParams(InteractionParams interactionParams)`
`void` | `setMarkupParams(MarkupParams markupParams)`
`void` | `setPortletContext(PortletContext portletContext)`
`void` | `setRegistrationContext(RegistrationContext registrationContext)`
`void` | `setRuntimeContext(RuntimeContext runtimeContext)`
`void` | `setUserContext(UserContext userContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### registrationContext

    protected RegistrationContext registrationContext

### portletContext

    protected PortletContext portletContext

### runtimeContext

    protected RuntimeContext runtimeContext

### userContext

    protected UserContext userContext

### markupParams

    protected MarkupParams markupParams

### interactionParams

    protected InteractionParams interactionParams

Constructor Detail

### PerformBlockingInteraction

    public PerformBlockingInteraction()

### PerformBlockingInteraction

    public PerformBlockingInteraction(RegistrationContext registrationContext,
                                      PortletContext portletContext,
                                      RuntimeContext runtimeContext,
                                      UserContext userContext,
                                      MarkupParams markupParams,
                                      InteractionParams interactionParams)

Method Detail

### getRegistrationContext

    public RegistrationContext getRegistrationContext()

### setRegistrationContext

    public void setRegistrationContext(RegistrationContext registrationContext)

### getPortletContext

    public PortletContext getPortletContext()

### setPortletContext

    public void setPortletContext(PortletContext portletContext)

### getRuntimeContext

    public RuntimeContext getRuntimeContext()

### setRuntimeContext

    public void setRuntimeContext(RuntimeContext runtimeContext)

### getUserContext

    public UserContext getUserContext()

### setUserContext

    public void setUserContext(UserContext userContext)

### getMarkupParams

    public MarkupParams getMarkupParams()

### setMarkupParams

    public void setMarkupParams(MarkupParams markupParams)

### getInteractionParams

    public InteractionParams getInteractionParams()

### setInteractionParams

    public void setInteractionParams(InteractionParams interactionParams)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD